# Cofiguration

## **Information about config.yml and lang.yml**

#### You can modify and deactivate all you want.

### <mark style="color:blue;">config.yml</mark>

{% code lineNumbers="true" %}

```yaml
# { task.enable } -> true if you want interest on your bank system. 
# { task.interest } -> interest percentage, max 100 
# { task.time } -> interest earning time, ( d = days ) ( h = hours ) 
#  
#  { death.enable } -> true if you want to lose money after death
#  { percent_lost } -> amount of pocket money to lose in %

config:
  task:
    enable: true
    interest: 10
    time: 1d
  death:
    enable: true
    percent_lost: 50
  update:
    message: true
  CommissionsWithdraw: true
  CommissionsStartWith: 10000
  CommissionsPercent: 4
  remaining_ticks_next_interest: 16700

```

{% endcode %}

### <mark style="color:blue;">lang.yml</mark>

{% code lineNumbers="true" %}

```yaml
language:
  message:
    prefix: '&c&lV&6&lBank &7&l»'
  interfaces:
    backItem:
      name: '&cBack'
      lore:
      - '&7Use it to go back'
  interface_generic:
    title: '&8Personal Bank'
    deposit:
      name: '&aDeposit Money'
      lore:
      - ' '
      - '&7Current balance: &a%money_pocket%'
      - '&7Money in the bank: &a%money%'
      - '&7Save your money here to keep it safe'
      - ' '
      - '&eClick to deposit your money'
    info:
      name: '&dBank information'
      lore:
      - ' '
      - '&7Current balance: &a%money_pocket%'
      - '&7Money in the bank: &a%money%'
      - ' '
      - '&a&lThe interest system is %status%'
      - ' '
      - '&7Interest percentage of the earnings are &e%interest%'
      - '&7Upcoming interest earnings each &e%time% &7day(s)'
      - '&7Upcoming earnings &a%earnings%'
      - ' '
      - '&eKeep your cursor over to see the bank information'
    withdraw:
      name: '&aWithdraw money'
      lore:
      - ' '
      - '&7Current balance: &a%money_pocket%'
      - '&7Money in the bank: &a%money%'
      - '&7Withdraw your money from the bank to use it'
      - ' '
      - '&eClick to witdraw your money'
  interface_deposit:
    title: '&aDeposit money'
    25Percent:
      name: '&aDeposit 25% of the money'
      lore:
      - ' '
      - '&7Current balance: &a%money_pocket%'
      - '&7Money in the bank: &a%money%'
      - '&7Amount to deposit: &a%amount%'
      - ' '
      - '&eClick to deposit your money'
    50Percent:
      name: '&aDeposit 50% of the money'
      lore:
      - ' '
      - '&7Current balance: &a%money_pocket%'
      - '&7Money in the bank: &a%money%'
      - '&7Amount to deposit: &a%amount%'
      - ' '
      - '&eClick to deposit your money'
    100Percent:
      name: '&aDeposit all your money'
      lore:
      - ' '
      - '&7Current balance: &a%money_pocket%'
      - '&7Money in the bank: &a%money%'
      - '&7Amount to deposit: &a%amount%'
      - ' '
      - '&eClick to deposit your money'
    customAmount:
      name: '&aDeposit custom amount of money'
      lore:
      - ' '
      - '&7Current balance: &a%money_pocket%'
      - '&7Money in the bank: &a%money%'
      - ' '
      - '&eClick to deposit your money'
  deposit:
    successful:
      message: '%prefix% &aYou have successfully deposited the money in your bank'
    customAmount:
      message: '%prefix% &aWrite the amount of money you want to save'
  interface_withdraw:
    title: '&aWithdraw money'
    25Percent:
      name: '&aWithdraw 25% of the money'
      lore:
      - ' '
      - '&7Current balance: &a%money_pocket%'
      - '&7Money in the bank: &a%money%'
      - '&7Amount to withdraw: &a%amount%'
      - ' '
      - '&eClick to withdraw your money'
    50Percent:
      name: '&aWithdraw 50% of the money'
      lore:
      - ' '
      - '&7Current balance: &a%money_pocket%'
      - '&7Money in the bank: &a%money%'
      - '&7Amount to withdraw: &a%amount%'
      - ' '
      - '&eClick to withdraw your money'
    100Percent:
      name: '&aWithdraw all your money'
      lore:
      - ' '
      - '&7Current balance: &a%money_pocket%'
      - '&7Money in the bank: &a%money%'
      - '&7Amount to withdraw: &a%amount%'
      - ' '
      - '&eClick to withdraw your money'
    customAmount:
      name: '&aWithdraw custom amount of money'
      lore:
      - ' '
      - '&7Current balance: &a%money_pocket%'
      - '&7Money in the bank: &a%money%'
      - ' '
      - '&eClick to withdraw your money'
  withdraw:
    customAmount:
      message: '&aWrite the amount of money you want to withdraw'
    successful:
      message: '%prefix% &aYou have successfully withdrawn the money from your bank'
  command_add:
    syntax:
      bad: '%prefix% Incorrect syntax, use: /vbank add (player) (amount of money)'
      good: '%prefix% Money added correctly'
  command_withdraw:
    syntax:
      bad: '%prefix% Incorrect syntax, use: /vbank withdraw (player) (amount of money)'
      good: '%prefix% Money Withdrew  correctly'
  command_set:
    syntax:
      bad: '%prefix% Incorrect syntax, use: /vbank set (player) (amount of money)'
      good: '%prefix% Money setted correctly'
  command_dont:
    rights: '%prefix% You cannot execute this command!'
  death:
    message: '%prefix% &cYou have lost %money% coins from your pocket'
  need:
    money:
      error_message: '%prefix% &aYou dont have enough money'
  error:
    desc: '%prefix% &cWrite a valid amount!'
  topten:
    message:
      top:
      - '&6Top ten money '
      - '&7-------------------------'
      bottom:
      - '&7-------------------------'
  PlaceHolder:
    TimeLeft:
      Day: ' Day(s) '
      Hour: ' Hour(s) '
      Minute: ' Minute(s) '
      Second: ' Second(s) '
    topten:
      format: '&b%player% &7- &6%money%'

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sarry20.com/products/vbank/cofiguration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
